Bug 1391230 - Parameter 'CephStorageCount' was not found in existing stack when using composable roles
Summary: Parameter 'CephStorageCount' was not found in existing stack when using compo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-tripleoclient
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: 10.0 (Newton)
Assignee: James Slagle
QA Contact: Marius Cornea
URL:
Whiteboard:
Depends On:
Blocks: 1411535
TreeView+ depends on / blocked
 
Reported: 2016-11-02 20:05 UTC by James Slagle
Modified: 2017-01-09 22:37 UTC (History)
7 users (show)

Fixed In Version: python-tripleoclient-5.3.0-5.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1411535 (view as bug list)
Environment:
Last Closed: 2016-12-14 16:28:27 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC
OpenStack gerrit 393855 None None None 2016-11-04 17:58:45 UTC
Launchpad 1637204 None None None 2016-11-02 20:06:28 UTC

Description James Slagle 2016-11-02 20:05:56 UTC
When using composable roles with a custom roles_data.yaml that does not have a CephStorage role any stack-update's fail with:
Parameter 'CephStorageCount' was not found in existing stack

The same is true for the other default role names as well.

This is due to the hardcoded role names in tripleoclient at:
https://github.com/openstack/python-tripleoclient/blob/master/tripleoclient/v1/overcloud_deploy.py#L750

When that default dict is passed to check_node_count in utils.py, this exception is raised if these parameter names do not exist in the stack, which they won't if you have removed them from your customized roles_data.yaml.

Comment 1 James Slagle 2016-11-02 20:08:15 UTC
The workaround here would be to add the default role names to the custom roles data with a CountDefault set to 0.

Comment 2 James Slagle 2016-11-02 20:08:49 UTC
I've posted an upstream patch, but leaving in ASSIGNED for now until I get some feedback on the approach.

Comment 3 Jaromir Coufal 2016-11-02 20:21:43 UTC
This is usability issue but will hit every user on every single stack-update operation if he customized roles. Therefor blocker for OSP10.

Comment 7 errata-xmlrpc 2016-12-14 16:28:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.